function [x1,y1,z1] = cordic_rotation(x,y,z)
 k = 20; 
 z1 = (z);
 kn = 0.6073;

for idx = 0:k
    xtmp = bitsra(x, idx); % multiply by 2^(-idx)
    ytmp = bitsra(y, idx); % multiply by 2^(-idx)
    ztmp = atan(2^(-idx));
    if z1 > 0
        x(:) = x - ytmp;
        y(:) = y + xtmp;
        z1(:) = z1 - ztmp;
      
    else
        x(:) = x + ytmp ;
        y(:) = y - xtmp;
        z1(:) = z1 + ztmp;
    end

end
x1 =  x*kn;
y1 =  y*kn;
end
